package com.sheep.gamegroup.model.entity;

import com.alibaba.fastjson.JSONObject;

/**
 * Created by realicing on 2018/11/27.
 * realicing@sina.com
 * 上传对象
 * <p>
 * cover:	string
 * 视频封面
 * duration:	integer ($int64)
 * 视频时长
 * resource:	string
 * 视频图片资源，逗号分隔
 * resource_type:	integer ($int32)
 * 资源类型（1视频，2图片）
 * title:	string
 * 主题
 * topic_id:	integer ($int64)
 * 话题id
 */
public class CreateUserVideoReq {
    private String cover;

    private long duration;

    private String resource;

    private int resource_type;

    private String title;

    private int topic_id;

    public void setCover(String cover){
        this.cover = cover;
    }
    public String getCover(){
        return this.cover;
    }
    public void setDuration(long duration){
        this.duration = duration;
    }
    public long getDuration(){
        return this.duration;
    }
    public void setResource(String resource){
        this.resource = resource;
    }
    public String getResource(){
        return this.resource;
    }
    public void setResource_type(int resource_type){
        this.resource_type = resource_type;
    }
    public int getResource_type(){
        return this.resource_type;
    }
    public void setTitle(String title){
        this.title = title;
    }
    public String getTitle(){
        return this.title;
    }
    public void setTopic_id(int topic_id){
        this.topic_id = topic_id;
    }
    public int getTopic_id(){
        return this.topic_id;
    }

    public static final int TYPE_VIDEO = 1;
    public static final int TYPE_IMG = 2;

}
